/*
 * State.java
 *
 * Created on 26. Mai 2006, 16:13
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package java2D2compositing;

import java.awt.AlphaComposite;
import java.awt.Paint;
import java.awt.Shape;


/**
 * Speichert den Zustand der Anwendung, einschlielich aktueller Auswahl
 * von Form, Fllfarbe usw. 
 *
 *
 * @author arnd
 */
public class State {
    private static Paint fillOption=DrawUtils.getInstance().getTextPaint();
    private static Shape shapeOption= DrawUtils.getInstance().getRect(); 
    private static double angle = 0;
    
    private static boolean dithering= false;
    private static boolean antialiasing = false;
    private static String geometrySelection = "No CAG";
    private static boolean clipping = false;

    
 
    private static int compositingSelection = AlphaComposite.SRC_OVER;
    
    /** Creates a new instance of State */
    public State() {
    }

    public static Paint getFillOption() {
        return fillOption;
    }
    
    public static void setFillOption(Paint aFillOption) {
        fillOption = aFillOption;
    }

    public static Shape getShapeOption() {
        return shapeOption;
    }

    public static void setShapeOption(Shape aShapeOption) {
        shapeOption = aShapeOption;
    }

    public static boolean isDitheringEnabled() {
        return dithering;
    }

    public static void setDithering(boolean aDithering) {
        dithering = aDithering;
    }

    public static boolean isAntialiasingEnabled() {
        return antialiasing;
    }

    public static void setAntialiasing(boolean aAntialiasing) {
        antialiasing = aAntialiasing;
    }
    
    //Winkel in Grad
    public static void addAngle(double a) {
        angle = angle + a;
    }
    
    public static double getAngle() {
        return angle;
    }
    
    public static void setGeometry(String  gS) 
    {
        geometrySelection = gS;
    }
    public static String getGeometry() 
    {
        return geometrySelection;
    }
    public static boolean getClipping() 
    {
        return clipping;
    }
    public static void setClipping(boolean c) 
    {
        clipping = c;
    }

    public static int getCompositingSelection() {
        return compositingSelection;
    }

    public static void setCompositingSelection(int aCompositingSelection) {
        compositingSelection = aCompositingSelection;
    }
    



    
}
